<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Business Edition 2008.0                                 |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 529     Patch: 12                                                 |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage HTML
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */
class html
{
	
	function makeheader( $var )
	{
		global $preferences;
		echo <<<Header
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="content-type" content="text/html; charset={$preferences['website_charset']}" />
  <meta http-equiv="page-enter" content="blendtrans(duration=0.2)" />
  <meta http-equiv="page-exit" content="blendtrans(duration=0.2)" />
  <title>Contentteller&reg; Business Edition - {$var}</title>
  <style type="text/css">
body { margin: 0px;
padding: 0px;
color: rgb(0, 0, 0);
background-color: rgb(182, 201, 218);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-size: small;
line-height: normal;
font-weight: normal;
font-style: normal;
text-transform: none;
}
a { text-decoration: none;
color: rgb(30, 2, 253);
}
a:hover { text-decoration: underline;
color: rgb(30, 2, 253); }
img { border: 0px; }
.whiteborder { margin: 32px 15px 15px;
width: 97%;
background-color: rgb(245, 245, 255);
float: none;
position: absolute;
}
.pagelink {	background: rgb(225, 231, 239);
	border: 1px solid rgb(51, 119, 198);
	padding: 1px 3px 1px 3px;
}
.pagelinkselected {	background: rgb(236, 242, 251);
	border: 1px solid rgb(51, 119, 198);
	padding: 1px 3px 1px 3px;
}
.whiteborder h1 { margin: 0px;
font-weight: bold;
color: rgb(255, 255, 255);
background-color: rgb(55, 127, 211);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-style: normal;
text-transform: none;
text-align: left;
font-size: 12pt;
text-shadow: 2px 2px 3px black;
}
.whiteborder h2 { margin: 0px;
font-weight: bold;
color: rgb(255, 255, 255);
background-color: rgb(55, 127, 211);
background-image: url(../images/title_gradient.gif);
background-repeat: repeat-x;
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-style: normal;
text-transform: none;
text-align: right;
font-size: 8pt;
text-shadow: 2px 2px 3px black;
}
.bigmenu { margin: 1px 15px 10px;
position: static;
width: 54pt;
border: 1px solid rgb(144, 194, 225);
color: rgb(255, 255, 255);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-weight: bold;
font-style: normal;
text-transform: uppercase;
text-align: center;
font-size: 9pt;
background-color: rgb(225, 231, 239);
float: left;
}
.bigmenualt { margin: 1px 15px 10px;
position: static;
width: 54pt;
border: 1px solid rgb(144, 194, 225);
color: rgb(255, 255, 255);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-weight: normal;
font-style: normal;
text-transform: uppercase;
text-align: center;
font-size: 9pt;
background-color: rgb(236, 242, 251);
float: left;
}
.bigmenuselect { margin: 1px 15px 10px;
position: static;
width: 54pt;
border: 1px solid rgb(144, 194, 225);
color: rgb(255, 255, 255);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-weight: bold;
font-style: normal;
text-transform: uppercase;
text-align: center;
font-size: 9pt;
background-color: rgb(195, 213, 251);
float: left;
}
.bigmenuselectalt { margin: 1px 15px 10px;
position: static;
width: 54pt;
border: 1px solid rgb(144, 194, 225);
color: rgb(255, 255, 255);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-weight: normal;
font-style: normal;
text-transform: uppercase;
text-align: center;
font-size: 9pt;
background-color: rgb(195, 213, 251);
float: left;
}
.maincontent {
	margin: 0 auto;
    padding: 15px;	
}
.mainblock {
	float: right;
	width: 81%;
	margin-bottom: 1.2em;
}
.mainblock .content { border-style: solid;
border-color: rgb(144, 194, 225);
border-width: 0px 1px 1px;
background-color: rgb(236, 242, 251);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-size: 9pt;
text-align: left;
color: rgb(0, 0, 0);
}
.mainblock .contentalt { border-style: solid;
border-color: rgb(144, 194, 225);
border-width: 0px 1px 1px;
background-color: rgb(225, 231, 239);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-size: 9pt;
text-align: left;
color: rgb(0, 0, 0);
}
.mainblock .contentselect { border-style: solid;
border-color: rgb(144, 194, 225);
border-width: 0px 1px 1px;
background-color: rgb(195, 213, 251);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-size: 9pt;
text-align: left;
color: rgb(0, 0, 0);
}
.mainblock h1 { margin: 0px;
font-weight: bold;
color: rgb(255, 255, 255);
background-color: rgb(55, 127, 211);
background-image: url(../images/title_gradient.gif);
background-repeat: repeat-x;
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-style: normal;
text-transform: none;
text-align: left;
font-size: 10pt;
text-shadow: 2px 2px 3px black;
}
.mainblock h2 { margin: 0px;
font-weight: bold;
color: rgb(255, 255, 255);
background-color: rgb(55, 127, 211);
background-image: url(../images/title_gradient.gif);
background-repeat: repeat-x;
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-style: normal;
text-transform: none;
text-align: left;
font-size: 9pt;
text-shadow: 2px 2px 3px black;
}
.leftblock {
	float: left;
	width: 18%;
	margin: 0 0 10px 0;
}
.leftblock .content { border-style: solid;
border-color: rgb(144, 194, 225);
border-width: 0px 1px 1px;
background-color: rgb(236, 242, 251);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
text-align: left;
color: rgb(0, 0, 0);
font-size: 8pt;
}
.leftblock .contentalt { border-style: solid;
border-color: rgb(144, 194, 225);
border-width: 0px 1px 1px;
background-color: rgb(225, 231, 239);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
text-align: left;
color: rgb(0, 0, 0);
font-size: 8pt;
}
.leftblock .contentselect { border-style: solid;
border-color: rgb(144, 194, 225);
border-width: 0px 1px 1px;
background-color: rgb(195, 213, 251);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-size: 8pt;
text-align: left;
color: rgb(0, 0, 0);
}
.leftblock h1 { margin: 0px;
font-weight: bold;
color: rgb(255, 255, 255);
background-color: rgb(55, 127, 211);
background-image: url(../images/title_gradient.gif);
background-repeat: repeat-x;
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-style: normal;
text-transform: none;
text-align: left;
font-size: 9pt;
text-shadow: 2px 2px 3px black;
}
.table1 { border-style: solid;
border-color: rgb(255, 255, 255) rgb(232, 232, 232) rgb(232, 232, 232) rgb(255, 255, 255);
border-width: 0px;
padding: 1px;
background-color: rgb(51, 119, 198);
background-image: url(../images/title_gradient.gif);
background-repeat: repeat-x;
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
color: rgb(255, 255, 255);
font-size: 10pt;
font-weight: bold;
text-shadow: 2px 2px 3px black;
}

.table2 { border-style: solid;
border-color: rgb(255, 255, 255) rgb(232, 232, 232) rgb(232, 232, 232) rgb(255, 255, 255);
border-width: 0px;
padding: 1px;
background-color: rgb(236, 242, 251);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-size: 10pt;
}

.table3 { border-style: solid;
border-color: rgb(255, 255, 255) rgb(232, 232, 232) rgb(232, 232, 232) rgb(255, 255, 255);
border-width: 0px;
padding: 1px;
background-color: rgb(225, 231, 239);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-size: 10pt;
}

.table4 { border-style: solid;
border-color: rgb(255, 255, 255) rgb(232, 232, 232) rgb(232, 232, 232) rgb(255, 255, 255);
border-width: 0px;
padding: 1px;
background-color: rgb(51, 119, 198);
background-image: url(../images/title_gradient.gif);
background-repeat: repeat-x;
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
color: rgb(255, 255, 255);
font-size: 10pt;
width: 15%;
font-weight: bold;
text-shadow: 2px 2px 3px black;
}

.table5 { border-style: solid;
border-color: rgb(255, 255, 255) rgb(232, 232, 232) rgb(232, 232, 232) rgb(255, 255, 255);
border-width: 0px;
padding: 1px;
background-color: rgb(51, 119, 198);
background-image: url(../images/title_gradient.gif);
background-repeat: repeat-x;
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
color: rgb(255, 255, 255);
font-size: 10pt;
width: 70%;
font-weight: bold;
text-shadow: 2px 2px 3px black;
}

.table6 { border-style: solid;
border-color: rgb(255, 255, 255) rgb(232, 232, 232) rgb(232, 232, 232) rgb(255, 255, 255);
border-width: 0px;
padding: 1px;
background-color: rgb(51, 119, 198);
background-image: url(../images/title_gradient.gif);
background-repeat: repeat-x;
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
color: rgb(255, 255, 255);
font-size: 10pt;
width: 8%;
font-weight: bold;
text-shadow: 2px 2px 3px black;
}

.table7 { border-style: solid;
border-color: rgb(255, 255, 255) rgb(232, 232, 232) rgb(232, 232, 232) rgb(255, 255, 255);
border-width: 0px;
padding: 1px;
background-color: rgb(51, 119, 198);
background-image: url(../images/title_gradient.gif);
background-repeat: repeat-x;
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
color: rgb(255, 255, 255);
font-size: 10pt;
width: 90%;
font-weight: bold;
text-shadow: 2px 2px 3px black;
}

.table8 { border-style: solid;
border-color: rgb(255, 255, 255) rgb(232, 232, 232) rgb(232, 232, 232) rgb(255, 255, 255);
border-width: 0px;
padding: 1px;
background-color: rgb(51, 119, 198);
background-image: url(../images/title_gradient.gif);
background-repeat: repeat-x;
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
color: rgb(255, 255, 255);
font-size: 10pt;
width: 40%;
font-weight: bold;
text-shadow: 2px 2px 3px black;
}

.table9 { border-style: solid;
border-color: rgb(255, 255, 255) rgb(232, 232, 232) rgb(232, 232, 232) rgb(255, 255, 255);
border-width: 0px;
padding: 1px;
background-color: rgb(51, 119, 198);
background-image: url(../images/title_gradient.gif);
background-repeat: repeat-x;
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
color: rgb(255, 255, 255);
font-size: 10pt;
width: 2%;
}

.table10 { border-style: solid;
border-color: rgb(255, 255, 255) rgb(232, 232, 232) rgb(232, 232, 232) rgb(255, 255, 255);
border-width: 0px;
padding: 1px;
background-color: rgb(236, 242, 251);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-size: 10pt;
width: 25%;
}

.table11 { border-style: solid;
border-color: rgb(255, 255, 255) rgb(232, 232, 232) rgb(232, 232, 232) rgb(255, 255, 255);
border-width: 0px;
padding: 1px;
background-color: rgb(225, 231, 239);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-size: 10pt;
width: 25%;
}

.popblock { margin: 5px;
position: relative;
width: 99%;
}
.popblock .content { border-style: solid;
border-color: rgb(144, 194, 225);
border-width: 0px 1px 1px;
background-color: rgb(236, 242, 251);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-size: 10pt;
text-align: left;
color: rgb(0, 0, 0);
}
.popblock h1 { margin: 0px;
font-weight: bold;
color: rgb(255, 255, 255);
background-color: rgb(55, 127, 211);
background-image: url(../images/title_gradient.gif);
background-repeat: repeat-x;
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-style: normal;
text-transform: none;
text-align: left;
font-size: 11pt;
text-shadow: 2px 2px 3px black;
}
.popblock h2 { margin: 0px;
font-weight: bold;
color: rgb(255, 255, 255);
background-color: rgb(55, 127, 211);
background-image: url(../images/title_gradient.gif);
background-repeat: repeat-x;
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-style: normal;
text-transform: none;
text-align: left;
font-size: 10pt;
}

  </style>
</head>
<body>
Header;
	}

	function makeheadermenu( $var, $var2, $var3 )
	{
		global $words_core;
		$var2 = $words_core[ 'MENU_' . strtoupper( $var2 ) ];
		
		if( $var3 )
		{
			$menu_html = <<<HeaderMenu
<div class = "bigmenu" onmouseover = "this.className='bigmenuselect'" onmouseout = "this.className='bigmenu'"><a href = "{$var}">{$var2}</a></div>
HeaderMenu;
		}
		else
		{
			$menu_html = <<<HeaderMenu
<div class = "bigmenualt" onmouseover = "this.className='bigmenuselectalt'" onmouseout = "this.className='bigmenualt'"><a href = "{$var}">{$var2}</a></div>
HeaderMenu;
		}
		return $menu_html;
	}

	function makesubheader()
	{
		$year = date( "Y" );
		echo <<<SubHeader
<div class = "whiteborder"><h1>Contentteller&reg; Business Edition</h1><h2>&copy; 2002 - {$year} Esselbach Internet Solutions</h2>
SubHeader;
	}

	function makesubfooter()
	{
		echo "</div>";
	}

	function makefooter()
	{
		echo "</div></body></html>";
		exit;
	}

	function login( $var, $var2, $var3 )
	{
		global $words_core, $preferences;
		
		if( !$var3 )
		{
			session_start();
			$security_hash = md5( rand( 1, 32768 ) );
			$_SESSION[ 'core_security_hash' ] = $security_hash;
		}
	
		echo <<<login_page
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="content-type" content="text/html; charset={$preferences['website_charset']}" />
  <meta http-equiv="page-enter" content="blendtrans(duration=0.2)" />
  <meta http-equiv="page-exit" content="blendtrans(duration=0.2)" />
   
login_page;
		
		if( $var3 )
		{
			echo <<<login_page
<meta http-equiv = "refresh" content = "2; URL={$var3}" />
login_page;
		}
		
echo <<<login_page
  <title>{$var}</title>
</head>
  <style type="text/css">
body { margin: 0px;
padding: 0px;
color: rgb(0, 0, 0);
background-color: rgb(182, 201, 218);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-size: small;
line-height: normal;
font-weight: normal;
font-style: normal;
text-transform: none;
text-align: center;
}
.loginblock { margin: 45px 25px 15px;
position: relative;
width: 95%;
}
.loginblock .content { border-style: solid;
border-color: rgb(122, 128, 134);
border-width: 0px 1px 1px;
background-color: rgb(234, 238, 241);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-size: 10pt;
text-align: left;
color: rgb(0, 0, 0);
}
.loginblock h1 { margin: 0px;
font-weight: bold;
color: rgb(255, 255, 255);
background-color: rgb(55, 127, 211);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-style: normal;
text-transform: none;
text-align: left;
font-size: 12pt;
text-shadow: 2px 2px 3px black;
}
.loginblock h2 { margin: 0px;
font-weight: bold;
color: rgb(255, 255, 255);
background-color: rgb(55, 127, 211);
font-family: 'Lucida Grande', 'Bitstream Vera Sans', verdana, arial, sans-serif;
font-style: normal;
text-transform: none;
text-align: right;
font-size: 8pt;
text-shadow: 2px 2px 3px black;
}
  </style>
</head>
<body> 
login_page;
		
		if( !$var3 )
		{
			echo "<form method = \"post\" action = \"index.php\">";
		}
		
		echo <<<login_page
<div class = "loginblock" id = "login">
<h1>{$var}</h1>
login_page;
		$year = date( "Y" );
		
		if( !$var3 )
		{
			echo "<h2>&copy; 2002 - " . $year . " Esselbach Internet Solutions</h2>";
		}
		
		echo "<div class = \"content\">";
		
		if( !$var3 )
		{
			echo <<<login_page
  <label>{$words_core['USERNAME']}:</label><br />
  <input name="login_username" size="50" /><br />
  <label>{$words_core['PASSWORD']}:</label><br />
  <input name="login_password" size="50" type="password" /><br />
  <label>{$words_core['SESSION_LENGTH']}:</label><br />
  <select size="1" name="login_lenght">
  <option value="0">{$words_core['UNTIL_BROWSER_CLOSE']}</option>
  <option value="900">{$words_core['15_MINUTES']}</option>
  <option value="1800">{$words_core['30_MINUTES']}</option>
  <option value="3600">{$words_core['HOUR']}</option>
  <option value="7200">{$words_core['2_HOURS']}</option>
  </select>
  <br />
  <input type="hidden" name="login_hash" value="{$security_hash}" />
  <input value="$words_core[LOGIN]" type="submit" />
login_page;
		}
		else
		{
			echo $var2;
		}
		
		if( !$var3 )
		{
			echo "</form>";
		}
		
		echo "</body></html>";
		exit;
	}

	function makemenuheaderinit()
	{
		echo "<div class = \"leftblock\" id = \"menu\">";
	}

	function makemenuheader( $var )
	{
		echo "<h1>" . $var . "</h1>";
	}

	function makemenuitem( $var, $var2 )
	{
		echo <<<MenuItem
<div class = "content" onmouseover = "this.className='contentselect'" onmouseout = "this.className='content'">&raquo; <a href = "index.php?action={$var2}">{$var}</a><br /></div>
MenuItem;
	}

	function makemenuitemalt( $var, $var2 )
	{
		echo <<<MenuItem
<div class = "contentalt" onmouseover = "this.className='contentselect'" onmouseout = "this.className='contentalt'">&raquo; <a href = "index.php?action={$var2}">{$var}</a><br /></div>
MenuItem;
	}

	function makemenufooter()
	{
		echo "<br />";
	}

	function makemainheader( $var, $var2 )
	{
		echo <<<MainHeader
<div class = "maincontent" id = "{$var2}"><div class = "mainblock" id = "{$var2}"><h1>{$var}</h1><div class = "content">
MainHeader;
	}

	function makemainsub( $var )
	{
		echo <<<MainSub
</div><br /><h2>{$var}</h2><div class = "content">
MainSub;
	}

	function makemainsubform( $var )
	{
		echo <<<MainSubForm
</div><br /><form action = "index.php" method = "post"><h2>{$var}</h2><div class = "content">
MainSubForm;
	}

	function makemainsubforma( $var, $var2 )
	{
		echo <<<MainSubFormA
</div><br /><form action = "index.php" method = "post" id = "{$var2}" enctype = "multipart/form-data"><h2>{$var}</h2><div class = "content">
MainSubFormA;
	}

	function makemainfooter()
	{
		echo "</div></div>";
	}

	function makepopheader( $var, $var2 )
	{
		echo <<<MainPopHeader
<div class = "popblock" id = "{$var2}"><h1>{$var}</h1><div class = "content">
MainPopHeader;
	}

	function makepopform( $var, $var2, $var3, $var4 )
	{
		echo <<<MainPopForm
<div class = "popblock" id = "{$var2}"><form action = "index.php" method = "{$var4}" id = "{$var3}"><h1>{$var}</h1><div class = "content">
MainPopForm;
	}

	function makeformheader( $var, $var2, $var3, $var4 )
	{
		echo <<<FormHeader
<div class = "maincontent" id = "{$var2}"><div class = "mainblock" id = "{$var2}"><form action = "index.php" method = "{$var4}" id = "{$var3}"><h1>{$var}</h1> <div class = "content">
FormHeader;
	}

	function makeformsub( $var )
	{
		echo <<<FormSub
</div></form><form action = "index.php" method = "post"><h2>{$var}</h2><div class = "content">
FormSub;
	}

	function makeformheaderc()
	{
		echo <<<FormHeader
<form action = "index.php" method = "post">
FormHeader;
	}

	function makeformheadera( $var, $var2, $var3 )
	{
		echo <<<FormHeader
<div class = "maincontent" id = "{$var2}"><div class = "mainblock" id = "{$var2}"><form action = "index.php" method = "post" id = "{$var3}" enctype = "multipart/form-data"><h1>{$var}</h1>
<div class = "content">
FormHeader;
	}

	function makeperfsheader( $var, $var2, $var3, $var4 )
	{
		echo <<<PerfsHeader
<div class = "maincontent" id = "{$var2}"><div class = "mainblock" id = "{$var2}"><form action = "index.php" method = "{$var4}" id = "{$var3}"><h1>{$var}</h1>
PerfsHeader;
	}

	function makeformfooter()
	{
		echo "</div></form></div>";
	}

	function makeformsubfooter()
	{
		echo "</div></form>";
		
		if( preg_match( "/Mozilla/i", $_SERVER[ 'HTTP_USER_AGENT' ] ) )
		{
			if( !preg_match( "/Safari|Opera/i", $_SERVER[ 'HTTP_USER_AGENT' ] ) )
			{
				echo "<br />";
			}
		}
	}

	function makeperfsfooter()
	{
		echo "</form></div>";
	}

	function makearea( $var, $var2, $var3 )
	{
		$var3 = htmlspecialchars( $var3 );
		echo <<<Area
{$var}:<br /><textarea name = "{$var2}" id = "{$var2}" cols = "60" rows = "20">{$var3}</textarea>
Area;
	}

	function upperform( $var, $var2, $var3, $var4 )
	{
		$var3 = htmlspecialchars( $var3 );
		echo "<strong>" . $var . ":</strong><br /><textarea id=\"" . $var2 . "\" cols=\"80\" name=\"" . $var2 . "\" rows=\"" . $var4 . "\" style=\"margin:0px;width:600px\">" . $var3 . "</textarea><br />";
	}

	function uppertext( $var, $var2, $var3 )
	{
		$var3 = htmlspecialchars( $var3 );
		
		if( preg_match( "/Safari/i", $_SERVER[ 'HTTP_USER_AGENT' ] ) )
		{
			echo "<strong>" . $var . ":</strong><br /><input name=\"" . $var2 . "\" size=\"85%\" value=\"" . $var3 . "\" /><br />";
		}
		elseif( preg_match( "/Mozilla/i", $_SERVER[ 'HTTP_USER_AGENT' ] ) )
		{
			echo "<strong>" . $var . ":</strong><br /><input name=\"" . $var2 . "\" size=\"74%\" value=\"" . $var3 . "\" /><br />";
		}
		elseif( preg_match( "/Opera/i", $_SERVER[ 'HTTP_USER_AGENT' ] ) )
		{
			echo "<strong>" . $var . ":</strong><br /><input name=\"" . $var2 . "\" size=\"95%\" value=\"" . $var3 . "\" /><br />";
		}
		else
		{
			echo "<strong>" . $var . ":</strong><br /><input name=\"" . $var2 . "\" size=\"85%\" value=\"" . $var3 . "\" /><br />";
		}
	}

	function uppertextsecure( $var, $var2, $var3 )
	{
		$var3 = htmlspecialchars( $var3 );
		
		if( preg_match( "/Safari/i", $_SERVER[ 'HTTP_USER_AGENT' ] ) )
		{
			echo "<strong>" . $var . ":</strong><br /><input name=\"" . $var2 . "\" size=\"85%\" value=\"" . $var3 . "\" type=\"password\" /><br />";
		}
		elseif( preg_match( "/Mozilla/i", $_SERVER[ 'HTTP_USER_AGENT' ] ) )
		{
			echo "<strong>" . $var . ":</strong><br /><input name=\"" . $var2 . "\" size=\"74%\" value=\"" . $var3 . "\" type=\"password\" /><br />";
		}
		elseif( preg_match( "/Opera/i", $_SERVER[ 'HTTP_USER_AGENT' ] ) )
		{
			echo "<strong>" . $var . ":</strong><br /><input name=\"" . $var2 . "\" size=\"95%\" value=\"" . $var3 . "\" type=\"password\" /><br />";
		}
		else
		{
			echo "<strong>" . $var . ":</strong><br /><input name=\"" . $var2 . "\" size=\"85%\" value=\"" . $var3 . "\" type=\"password\" /><br />";
		}
	}

	function makeradio( $var, $var2, $var3 )
	{
		( $var3 ) ? $checked = "checked=\"checked\"" : $checked = "" ;
		echo " <input type=\"radio\" name=\"" . $var . "\" $checked value=\"" . $var2 . "\" /> ";
	}

	function tworowstable( $var, $var2 )
	{
		echo <<<TwoRowsTable
<table cellpadding = "3" cellspacing = "0" width = "100%">
<tbody>
<tr>
<td class = "table7">{$var}</td>
<td class = "table6">{$var2}</td>
</tr>
TwoRowsTable;
	}

	function tworowstablemiddle( $var, $var2, $var3, $var4, $var5 )
	{
		global $bgcolor;
		( $bgcolor == "table2" ) ? $bgcolor = "table3" : $bgcolor = "table2";
		
		if( $var3 )
		{
			$line1 = "<a href=\"" . $var2 . "\">" . $var3 . "</a>";
		}
		
		if( $var5 )
		{
			$line2 = "| <a href=\"" . $var4 . "\">" . $var5 . "</a>";
		}
		
		echo <<<Middle
<tr>
<td class = "{$bgcolor}">{$var}</td>
<td class = "{$bgcolor}">[ {$line1} {$line2} ]</td>
</tr>
Middle;
	}

	function tableheader( $var, $var2 )
	{
		echo <<<TabHeader
<table cellpadding = "3" cellspacing = "0" width = "100%">
<tbody>
<tr>
<td class = "table4">{$var}</td>
<td class = "table5">{$var2}</td>
<td class = "table6"></td>
</tr>
TabHeader;
	}

	function maketablefooter()
	{
		echo "</tbody></table>";
	}

	function tablemiddle( $var, $var2, $var3, $var4 )
	{
		global $bgcolor, $words_core;
		
		if( $bgcolor == "table2" )
		{
			$bgcolor = "table3";
			$bgcolor2 = "table10";
		}
		else
		{
			$bgcolor = "table2";
			$bgcolor2 = "table11";
		}
		
		echo <<<Middle
<tr>
<td class = "{$bgcolor}">{$var}</td>
<td class = "{$bgcolor}">{$var2}</td>
<td class = "{$bgcolor2}"><a href = "index.php?action={$var3}" title = "{$words_core['EDIT']}"><img src = "../images/button_edit.gif" alt = "{$words_core['EDIT']}" /></a>
<a href = "index.php?action=$var4" title = "{$words_core['DELETE']}" onclick = "return check_delete()"><img src = "../images/button_delete.gif" alt = "{$words_core['DELETE']}" /></a></td></tr>
Middle;
	}

	function tablesingle( $var, $var2, $var3 )
	{
		global $bgcolor, $words_core;
		
		if( $bgcolor == "table2" )
		{
			$bgcolor = "table3";
			$bgcolor2 = "table10";
		}
		else
		{
			$bgcolor = "table2";
			$bgcolor2 = "table11";
		}
		
		echo <<<Single
<tr>
<td class = "{$bgcolor}">{$var}</td>
<td class = "{$bgcolor}">{$var2}</td>
<td class = "{$bgcolor2}"><a href = "index.php?action={$var3}" title = "{$words_core['EDIT']}"><img src = "../images/button_edit.gif" alt = "{$words_core['EDIT']}" /></a></td></tr>
Single;
	}

	function table5header( $var, $var2, $var3, $var4 )
	{
		echo <<<TabHeader
<form action = "index.php" method = "post" id = "options">
<div class = "content">
<table cellpadding = "3" cellspacing = "0" width = "100%">
<tbody>
<tr>
<td class = "table4">{$var}</td>
<td class = "table8">{$var2}</td>
<td class = "table4">{$var3}</td>
<td class = "table4">{$var4}</td>
<td class = "table6"></td>
<td class = "table9"><input type = "checkbox" onclick = "checkall(this, 'editoptions[]');" /></td>
</tr>
TabHeader;
	}

	function table5middle( $var, $var2, $var3, $var4, $var5, $var6 )
	{
		global $bgcolor, $words_core;
		$id = explode( " / ", $var );
		
		if( $var5 )
		{
			$var5 = "<a href=\"index.php?action=" . $var5 . "\" title=\"" . $words_core[ 'EDIT' ] . "\"><img src=\"../images/button_edit.gif\" alt=\"" . $words_core[ 'EDIT' ] . "\" /></a>";
		}
		
		
		if( $bgcolor == "table2" )
		{
			$bgcolor = "table3";
			$bgcolor2 = "table11";
		}
		else
		{
			$bgcolor = "table2";
			$bgcolor2 = "table10";
		}
		
		echo <<<Middle
<tr>
<td class = "{$bgcolor}">{$var}</td>
<td class = "{$bgcolor}">{$var2}</td>
<td class = "{$bgcolor}">{$var3}</td>
<td class = "{$bgcolor}">{$var4}</td>
<td class = "{$bgcolor2}">{$var5} <a href = "index.php?action={$var6}" title = "{$words_core['DELETE']}" onclick = "return check_delete()"><img src = "../images/button_delete.gif" alt = "{$words_core['DELETE']}" /></a></td>
<td class = "{$bgcolor}">
<input type = "checkbox" value = "{$id[0]}" name = "editoptions[]" />
</td></tr>
Middle;
	}

	function table5col( $var )
	{
		echo <<<Col
<tr>
<td class = "table1" colspan = "6">{$var}</td>
</tr>
Col;
	}

	function table4header( $var, $var2, $var3, $var4 )
	{
		echo <<<TabHeader
<form action = "index.php" method = "post" id = "options">
<div class = "content">
<table cellpadding = "3" cellspacing = "0" width = "100%">
<tbody>
<tr>
<td class = "table4">{$var}</td>
<td class = "table8">{$var2}</td>
<td class = "table4">{$var3}</td>
<td class = "table4">{$var4}</td>
</tr>
TabHeader;
	}

	function table4middle( $var, $var2, $var3, $var4 )
	{
		global $bgcolor, $words_core;
		( $bgcolor == "table2" ) ? $bgcolor = "table3" : $bgcolor = "table2";
		echo <<<Middle
<tr>
<td class = "{$bgcolor}">{$var}</td>
<td class = "{$bgcolor}">{$var2}</td>
<td class = "{$bgcolor}">{$var3}</td>
<td class = "{$bgcolor}">{$var4}</td>
</tr>
Middle;
	}

	function tableamiddle( $var, $var2, $var3, $var4, $var5, $var6 )
	{
		global $bgcolor, $words_core;
		( $bgcolor == "table2" ) ? $bgcolor = "table3" : $bgcolor = "table2";
		
		if( $var4 )
		{
			$subbutton = <<<SubButton
<input type = "submit" name = "{$var3}" value = "{$var4}" /><br /><input type = "submit" name = "{$var5}" value = "{$var6}" />
SubButton;
		}
		else
		{
			$subbutton = "";
		}
		
		echo <<<Middle
<tr>
<td class = "{$bgcolor}">{$var}</td>
<td class = "{$bgcolor}">{$var2}</td>
<td class = "{$bgcolor}">{$subbutton}</td></tr>
Middle;
	}

	function tablepopmiddle( $var, $var2 )
	{
		global $bgcolor, $words_core;
		( $bgcolor == "table2" ) ? $bgcolor = "table3" : $bgcolor = "table2";
		echo <<<Middle
<tr>
<td class = "{$bgcolor}">{$var}</td>
<td class = "{$bgcolor}">{$var2}</td>
</tr>
Middle;
	}

	function simpletablemiddlepreview( $var, $var2, $var3 )
	{
		global $bgcolor, $words_core;
		
		if( $bgcolor == "table2" )
		{
			$bgcolor = "table3";
			$bgcolor2 = "table10";
		}
		else
		{
			$bgcolor = "table2";
			$bgcolor2 = "table11";
		}
		
		echo <<<Middle
<tr>
<td class = "{$bgcolor}">{$var}</td>
<td class = "{$bgcolor2}"><a href = "{$var2}" title = "{$words_core['EDIT']}"><img src = "../images/button_edit.gif" alt = "{$words_core['EDIT']}" /></a>
<a href = "{$var3}" title = "{$words_core['PREVIEW']}"><img src = "../images/button_preview.gif" alt = "{$words_core['PREVIEW']}" /></a></td></tr>
Middle;
	}

	function simpletablemiddleundo( $var, $var2, $var3 )
	{
		global $bgcolor, $words_core;
		
		if( $bgcolor == "table2" )
		{
			$bgcolor = "table3";
			$bgcolor2 = "table10";
		}
		else
		{
			$bgcolor = "table2";
			$bgcolor2 = "table11";
		}
		
		if( $var2 )
		{
			$show = "<a href=\"" . $var2 . "\" title=\"" . $words_core[ 'SHOW' ] . "\"><img src=\"../images/button_preview.gif\" alt=\"" . $words_core[ 'SHOW' ] . "\" /></a>";
		}
		else
		{
			$show = "";
		}
		
		echo <<<Middle
<tr> 
<td class = "{$bgcolor}">{$var}</td>
<td class = "{$bgcolor2}">{$show} <a href = "{$var3}" title = "{$words_core['RESTORE']}"><img src = "../images/button_restore.gif" alt = "{$words_core['RESTORE']}" /></a>
</td></tr>
Middle;
	}

	function simpletablemiddledelete( $var, $var2, $var3 )
	{
		global $bgcolor, $words_core;
		
		if( $bgcolor == "table2" )
		{
			$bgcolor = "table3";
			$bgcolor2 = "table10";
		}
		else
		{
			$bgcolor = "table2";
			$bgcolor2 = "table11";
		}
		
		echo <<<Middle
<tr>
<td class = "{$bgcolor}">{$var}</td>
<td class = "{$bgcolor2}"><a href = "{$var2}" title = "{$words_core['EDIT']}"><img src = "../images/button_edit.gif" alt = "{$words_core['EDIT']}" /></a>
<a href = "{$var3}" title = "{$words_core['DELETE']}" onclick = "return check_delete()"><img src = "../images/button_delete.gif" alt = "{$words_core['DELETE']}" /></a></td></tr>
Middle;
	}

	function simpletablemiddleeditonly( $var, $var2 )
	{
		global $bgcolor, $words_core;
		
		if( $bgcolor == "table2" )
		{
			$bgcolor = "table3";
			$bgcolor2 = "table10";
		}
		else
		{
			$bgcolor = "table2";
			$bgcolor2 = "table11";
		}
		
		echo <<<Middle
<tr>
<td class = "{$bgcolor}">{$var}</td>
<td class = "{$bgcolor2}"><a href = "{$var2}" title = "{$words_core['EDIT']}"><img src = "../images/button_edit.gif" alt = "{$words_core['EDIT']}" /></a></td>
</tr>
Middle;
	}

	function makeoption( $var, $var2, $var3, $var4 )
	{
		$var4 = str_replace( "\"", "&quot;", $var4 );
		echo "<strong>" . $var . ":</strong>";
		
		if( $var2 )
		{
			echo "<br />" . $var2;
		}
		
		echo "<input name=\"" . $var3 . "\" size=\"60\" value=\"" . $var4 . "\" />";
	}

	function makeeoption( $var, $var2, $var3 )
	{
		$var3 = str_replace( "\"", "&quot;", $var3 );
		echo "<strong>" . $var . ":</strong><br />";
		echo "<input name=\"" . $var2 . "\" size=\"60\" value=\"" . $var3 . "\" /><br />";
	}

	function makegroupmenu( $name )
	{
		global $database, $html;
		
		if( preg_match( "/[A-Z]/i", $name ) )
		{
			$query = $database -> dbquery( "SELECT module_group FROM " . DB_PREFIX . "esselbach_ct_modules WHERE module_name = '" . $name . "'" );
			list( $id ) = $database -> dbrow( $query );
		}
		else
		{
			$id = $name;
		}
		
		$query = $database -> dbquery( "SELECT modulegroup_id, modulegroup_name FROM " . DB_PREFIX . "esselbach_ct_modulegroups" );
		
		if( $database -> dbrows( $query ) > 1 )
		{
			$menu = "";
			$items = 0;
			while( list( $modulegroup_id, $modulegroup_name ) = $database -> dbrow( $query ) )
			{
				$result = $database -> dbquery( "SELECT module_id FROM " . DB_PREFIX . "esselbach_ct_modules WHERE module_group = '" . $modulegroup_id . "'" );
				
				if( $database -> dbrows( $result ) )
				{
					$items++;
					if( $modulegroup_id == $id )
					{
						$menu .= $html -> makeheadermenu( "?group=" . $modulegroup_id, $modulegroup_name, 1 );
					}
					else
					{
						$menu .= $html -> makeheadermenu( "?group=" . $modulegroup_id, $modulegroup_name, 0 );
					}
				}
			}
			if ( $items > 1 )
			{
				echo $menu;
			}
		}
	}

	function makeselect( $var, $var2, $var3, $var4 )
	{
		$options = explode( " ", $var4 );
		echo " <strong>" . $var . ":</strong> <select size=\"1\" name=\"" . $var2 . "\">";
		( $var3 ) ? $option = "<option selected=\"selected\" value=\"1\">" . $options[0] . "</option><option value=\"0\">" . $options[1] . "</option>" : $option = "<option value=\"1\">" . $options[0] . "</option><option selected=\"selected\" value=\"0\">" . $options[1] . "</option>";
		echo $option . "</select>";
	}

	function quickhtmlinit( $var, $var2, $var3 )
	{
			echo <<<quickhtmlinit

<script type="text/javascript">
<!--
function blockcode(name, description) 
{                                
    text = prompt(description, "");     
    if (text != null)                                                                                                                                                                           {                                                      
        var post = document.getElementById("{$var}").{$var2}; 
        post.value += "["+name+"]"+text+"[/"+name+"]"         
        post.focus()     
    }
    dropdown_close()                                  
}    

function blockdropdown(name, option) 
{                             
    text = prompt("Please enter the text that should use "+name+" below", "");     
    if (text != null)
    {                                                           
    	var post = document.getElementById("{$var}").{$var2}; 
    	post.value += "["+option+"="+name+"]"+text+"[/"+option+"]"         
    	post.focus()  
    }   
    dropdown_close()
}    

function insert(name) 
{
    window.document.getElementById("{$var}").{$var2}.value =
    window.document.getElementById("{$var}").{$var2}.value + name;
    dropdown_close()
}

function dropdown_blockcode()
{
	document.getElementById("blockcode").style.display = "";
	document.getElementById("fonts").style.display = "none";
	document.getElementById("size").style.display = "none";	
	document.getElementById("color").style.display = "none";			
	document.getElementById("smilies").style.display = "none";	
	document.getElementById("blockcode2").style.display = "none";
	document.getElementById("fonts2").style.display = "none";
	document.getElementById("size2").style.display = "none";		
	document.getElementById("color2").style.display = "none";	
	document.getElementById("smilies2").style.display = "none";			
}

function dropdown_fonts()
{
	document.getElementById("blockcode").style.display = "none";
	document.getElementById("fonts").style.display = "";
	document.getElementById("size").style.display = "none";	
	document.getElementById("color").style.display = "none";
	document.getElementById("smilies").style.display = "none";		
	document.getElementById("blockcode2").style.display = "none";
	document.getElementById("fonts2").style.display = "none";
	document.getElementById("size2").style.display = "none";		
	document.getElementById("color2").style.display = "none";	
	document.getElementById("smilies2").style.display = "none";		
}

function dropdown_size()
{
	document.getElementById("blockcode").style.display = "none";
	document.getElementById("fonts").style.display = "none";
	document.getElementById("size").style.display = "";	
	document.getElementById("color").style.display = "none";	
	document.getElementById("smilies").style.display = "none";
	document.getElementById("blockcode2").style.display = "none";
	document.getElementById("fonts2").style.display = "none";
	document.getElementById("size2").style.display = "none";		
	document.getElementById("color2").style.display = "none";	
	document.getElementById("smilies2").style.display = "none";				
}

function dropdown_color()
{
	document.getElementById("blockcode").style.display = "none";
	document.getElementById("fonts").style.display = "none";
	document.getElementById("size").style.display = "none";	
	document.getElementById("color").style.display = "";		
	document.getElementById("smilies").style.display = "none";		
	document.getElementById("blockcode2").style.display = "none";
	document.getElementById("fonts2").style.display = "none";
	document.getElementById("size2").style.display = "none";		
	document.getElementById("color2").style.display = "none";	
	document.getElementById("smilies2").style.display = "none";			
}

function dropdown_smilies()
{
	document.getElementById("blockcode").style.display = "none";
	document.getElementById("fonts").style.display = "none";
	document.getElementById("size").style.display = "none";	
	document.getElementById("color").style.display = "none";		
	document.getElementById("smilies").style.display = "";		
	document.getElementById("blockcode2").style.display = "none";
	document.getElementById("fonts2").style.display = "none";
	document.getElementById("size2").style.display = "none";		
	document.getElementById("color2").style.display = "none";	
	document.getElementById("smilies2").style.display = "none";			
}

function dropdown_close()
{
	document.getElementById("blockcode").style.display = "none";
	document.getElementById("fonts").style.display = "none";
	document.getElementById("size").style.display = "none";		
	document.getElementById("color").style.display = "none";	
	document.getElementById("smilies").style.display = "none";		
	document.getElementById("blockcode2").style.display = "none";
	document.getElementById("fonts2").style.display = "none";
	document.getElementById("size2").style.display = "none";		
	document.getElementById("color2").style.display = "none";	
	document.getElementById("smilies2").style.display = "none";				
}

quickhtmlinit;
		
		if( $var3 )
		{
					echo <<<quickhtmlinit
function blockcode2(name, description) 
{                        
    text = prompt(description, "");                          
    if (text != null)                                 
    {                                               
        var post = document.getElementById("{$var}").{$var3};                                            
        post.value += "["+name+"]"+text+"[/"+name+"]"                       
        post.focus()                                
    }   
    dropdown_close()                                           
}     

function blockdropdown2(name, option) 
{                             
    text = prompt("Please enter the text that should use "+name+" below", "");     
    if (text != null)                                                                                                                                                                           {                                                           
    	var post = document.getElementById("{$var}").{$var3}; 
    	post.value += "["+option+"="+name+"]"+text+"[/"+option+"]"         
    	post.focus()  
    }   
    dropdown_close()
}

function insert2(name) 
{
    window.document.getElementById("{$var}").{$var3}.value =
    window.document.getElementById("{$var}").{$var3}.value + name;
    dropdown_close()
}

function dropdown_blockcode2()
{
	document.getElementById("blockcode").style.display = "none";
	document.getElementById("fonts").style.display = "none";
	document.getElementById("size").style.display = "none";		
	document.getElementById("color").style.display = "none";	
	document.getElementById("smilies").style.display = "none";	
	document.getElementById("blockcode2").style.display = "";
	document.getElementById("fonts2").style.display = "none";
	document.getElementById("size2").style.display = "none";	
	document.getElementById("color2").style.display = "none";			
	document.getElementById("smilies2").style.display = "none";	
}

function dropdown_fonts2()
{
	document.getElementById("blockcode").style.display = "none";
	document.getElementById("fonts").style.display = "none";
	document.getElementById("size").style.display = "none";		
	document.getElementById("color").style.display = "none";	
	document.getElementById("smilies").style.display = "none";	
	document.getElementById("blockcode2").style.display = "none";
	document.getElementById("fonts2").style.display = "";
	document.getElementById("size2").style.display = "none";	
	document.getElementById("color2").style.display = "none";
	document.getElementById("smilies2").style.display = "none";				
}

function dropdown_size2()
{
	document.getElementById("blockcode").style.display = "none";
	document.getElementById("fonts").style.display = "none";
	document.getElementById("size").style.display = "none";		
	document.getElementById("color").style.display = "none";	
	document.getElementById("smilies").style.display = "none";	
	document.getElementById("blockcode2").style.display = "none";
	document.getElementById("fonts2").style.display = "none";
	document.getElementById("size2").style.display = "";	
	document.getElementById("color2").style.display = "none";	
	document.getElementById("smilies2").style.display = "none";	
}

function dropdown_color2()
{
	document.getElementById("blockcode").style.display = "none";
	document.getElementById("fonts").style.display = "none";
	document.getElementById("size").style.display = "none";		
	document.getElementById("color").style.display = "none";	
	document.getElementById("smilies").style.display = "none";	
	document.getElementById("blockcode2").style.display = "none";
	document.getElementById("fonts2").style.display = "none";
	document.getElementById("size2").style.display = "none";	
	document.getElementById("color2").style.display = "";		
	document.getElementById("smilies2").style.display = "none";		
}

function dropdown_smilies2()
{
	document.getElementById("blockcode").style.display = "none";
	document.getElementById("fonts").style.display = "none";
	document.getElementById("size").style.display = "none";		
	document.getElementById("color").style.display = "none";	
	document.getElementById("smilies").style.display = "none";	
	document.getElementById("blockcode2").style.display = "none";
	document.getElementById("fonts2").style.display = "none";
	document.getElementById("size2").style.display = "none";	
	document.getElementById("color2").style.display = "none";		
	document.getElementById("smilies2").style.display = "";		
}

function dropdown_close2()
{
	document.getElementById("blockcode").style.display = "none";
	document.getElementById("fonts").style.display = "none";
	document.getElementById("size").style.display = "none";		
	document.getElementById("color").style.display = "none";	
	document.getElementById("smilies").style.display = "none";	
	document.getElementById("blockcode2").style.display = "none";
	document.getElementById("fonts2").style.display = "none";
	document.getElementById("size2").style.display = "none";		
	document.getElementById("color2").style.display = "none";	
	document.getElementById("smilies2").style.display = "none";			
}

quickhtmlinit;
		}
		
		echo "\n-->\n</script>\n";
	}

	function quickhtmlpopinit( $var, $var2, $var3 )
	{
		echo <<<quickhtmlpopinit

<script type="text/javascript">
<!--
function popinsert(name) 
{
    opener.document.getElementById("{$var}").{$var2}.value =
    opener.document.getElementById("{$var}").{$var2}.value + name;
}
quickhtmlpopinit;
		
		if( $var3 )
		{
			echo <<<quickhtmlpopinit
		
function popinsert2(name) 
{
    opener.document.getElementById("{$var}").{$var3}.value =
    opener.document.getElementById("{$var}").{$var3}.value + name;
}
quickhtmlpopinit;
		}
		
		echo "\n-->\n</script>\n";
	}

	function tagcloudinit( $var, $var2 )
	{
		echo <<<tagcloudinit

<script type="text/javascript">
<!--	
function inserttag(name) 
{
    window.document.getElementById("{$var}").{$var2}.value =
    window.document.getElementById("{$var}").{$var2}.value + name;
}
-->
</script>
tagcloudinit;
	}

	function teaserpreviewinit( $var )
	{
		echo <<<teaserpreviewinit

<script type="text/javascript">
<!--
function teaserpreview(teaserid,teaserimage) 
{
  teaserimage.src = "index.php?action=$var&input_teaserimageid="+teaserid;
}
-->
</script>

teaserpreviewinit;
	}

	function articleteaserpreviewinit()
	{
		echo <<<teaserpreviewinit

<script type="text/javascript">
<!--
function teaserpreview(teaserid,teaserimage) 
{
  teaserimage.src = "index.php?action=articleteaserimagepreview&input_teaserimageid="+teaserid;
}
-->
</script>

teaserpreviewinit;
	}

	function filesteaserpreviewinit()
	{
		echo <<<teaserpreviewinit

<script type="text/javascript">
<!--
function teaserpreview(teaserid,teaserimage) 
{
  teaserimage.src = "index.php?action=filesteaserimagepreview&input_teaserimageid="+teaserid;
}
-->
</script>

teaserpreviewinit;
	}

	function forumsteaserpreviewinit()
	{
		echo <<<teaserpreviewinit

<script type="text/javascript">
<!--
function teaserpreview(teaserid,teaserimage) 
{
  teaserimage.src = "index.php?action=forumsteaserimagepreview&input_teaserimageid="+teaserid;
}
-->
</script>

teaserpreviewinit;
	}

	function quickhtml( $var )
	{
		global $words_core, $database;
		echo <<<quickhtml

<table><tr><td>
<input value="{$words_core['BUTTON_BLOCKCODE']}" onclick="javascript:dropdown_blockcode{$var}();" type="button">
<input value="{$words_core['BUTTON_FONTS']}" onclick="javascript:dropdown_fonts{$var}();" type="button">
<input value="{$words_core['BUTTON_SIZE']}" onclick="javascript:dropdown_size{$var}();" type="button">
<input value="{$words_core['BUTTON_COLOR']}" onclick="javascript:dropdown_color{$var}();" type="button">
<input value="{$words_core['BUTTON_SMILIES']}" onclick="javascript:dropdown_smilies{$var}();" type="button">
</td></tr></table>

<div id="blockcode{$var}" class="content" style="display:none; margin-left: 6px; position: absolute; font-weight: normal; height: 180px; width: 180px; white-space: nowrap; overflow: auto;">
<h1>{$words_core['BUTTON_BLOCKCODE']} [<a href="#" onclick="javascript:dropdown_close{$var}();" style="color: red;">X</a>]</h1>
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockcode{$var}('b', '{$words_core['INSERT_BOLD']}');" style="cursor: pointer;"><strong> {$words_core['EDITOR_BOLD']}</strong></div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockcode{$var}('i', '{$words_core['INSERT_ITALIC']}');" style="cursor: pointer;"><em> {$words_core['EDITOR_ITALIC']}</em></div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockcode{$var}('u', '{$words_core['INSERT_UNDERLINED']}');" style="cursor: pointer; text-decoration: underline;"> {$words_core['EDITOR_UNDERLINED']}</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockcode{$var}('s', '{$words_core['INSERT_STRIKETHROUGH']}');" style="cursor: pointer; text-decoration: line-through;"> {$words_core['EDITOR_STRIKETHROUGH']}</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockcode{$var}('overline', '{$words_core['INSERT_OVERLINE']}');" style="cursor: pointer; text-decoration: overline;"> {$words_core['EDITOR_OVERLINE']}</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockcode{$var}('sup', '{$words_core['INSERT_SUPERSCRIPTED']}');" style="cursor: pointer;"><sup> {$words_core['EDITOR_SUPERSCRIPTED']}</sup></div>
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockcode{$var}('sub', '{$words_core['INSERT_SUBSCRIPTED']}');" style="cursor: pointer;"><sub> {$words_core['EDITOR_SUBSCRIPTED']}</sub></div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockcode{$var}('tt', '{$words_core['INSERT_TELETYPE']}');" style="cursor: pointer;"><tt> {$words_core['EDITOR_TELETYPE']}</tt></div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockcode{$var}('quote', '{$words_core['INSERT_QUOTE']}');" style="cursor: pointer;"><strong> "<em>{$words_core['EDITOR_QUOTE']}</em>"</strong></div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockcode{$var}('code', '{$words_core['INSERT_CODE']}');" style="cursor: pointer;"><strong><tt> {$words_core['EDITOR_CODE']}</tt></strong></div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockcode{$var}('marquee', '{$words_core['INSERT_MARQUEE']}');" style="cursor: pointer;"><marquee> {$words_core['EDITOR_MARQUEE']}</marquee></div>
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockcode{$var}('img', '{$words_core['INSERT_IMG']}');" style="cursor: pointer;"> {$words_core['EDITOR_IMG']}</div>  
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockcode{$var}('url', '{$words_core['INSERT_URL']}');" style="cursor: pointer;"> {$words_core['EDITOR_URL']}</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockcode{$var}('email', '{$words_core['INSERT_EMAIL']}');" style="cursor: pointer;"> {$words_core['EDITOR_EMAIL']}</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockcode{$var}('left', '{$words_core['INSERT_LEFT']}');" style="cursor: pointer; text-align: left;"> {$words_core['EDITOR_LEFT']}</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockcode{$var}('center', '{$words_core['INSERT_CENTER']}');" style="cursor: pointer; text-align: center;"> {$words_core['EDITOR_CENTER']}</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockcode{$var}('right', '{$words_core['INSERT_RIGHT']}');" style="cursor: pointer; text-align: right;"> {$words_core['EDITOR_RIGHT']}</div> 
</div>

<div id="fonts{$var}" class="content" style="display:none; margin-left: 88px; position: absolute; font-weight: normal; height: 180px; width: 180px; white-space: nowrap; overflow: auto;">
<h1>{$words_core['BUTTON_FONTS']} [<a href="#" onclick="javascript:dropdown_close{$var}();" style="color: red;">X</a>]</h1>
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('Arial', 'font');" style="cursor: pointer; font-family: Arial;"> Arial</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('Arial Black', 'font');" style="cursor: pointer; font-family: Arial Black;"> Arial Black</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('Arial Narrow', 'font');" style="cursor: pointer; font-family: Arial Narrow;"> Arial Narrow</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('Book Antique', 'font');" style="cursor: pointer; font-family: Book Antiqua;"> Book Antiqua</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('Century Gothic', 'font');" style="cursor: pointer; font-family: Century Gothic;"> Century Gothic</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('Comic Sans MS', 'font');" style="cursor: pointer; font-family: Comic Sans MS;"> Comic Sans MS</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('Courier', 'font');" style="cursor: pointer; font-family: Courier;"> Courier</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('Courier New', 'font');" style="cursor: pointer; font-family: Courier New;"> Courier New</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('Garamond', 'font');" style="cursor: pointer; font-family: Garamond;"> Garamond</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('Georgia', 'font');" style="cursor: pointer; font-family: Georgia;"> Georgia</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('Impact', 'font');" style="cursor: pointer; font-family: Impact;"> Impact</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('Lucida Console', 'font');" style="cursor: pointer; font-family: Lucidia Console;"> Lucidia Console</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('Lucidia Grande', 'font');" style="cursor: pointer; font-family: Lucidia Grande;"> Lucidia Grande</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('Lucidia Sans Unicode', 'font');" style="cursor: pointer; font-family: Lucidia Sans Unicode;"> Lucidia Sans Unicode</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('Microsoft Sans Serif', 'font');" style="cursor: pointer; font-family: Microsoft Sans Serif;"> Microsoft Sans Serif</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('Palatio Linotype', 'font');" style="cursor: pointer; font-family: Palatio Linotype;"> Palatino Linotype</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('System', 'font');" style="cursor: pointer; font-family: System;"> System</div> 
<div class="contentalt" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" width="100%" onclick="javascript:blockdropdown{$var}('Tahoma', 'font');" style="cursor: pointer; font-family: Tahoma;"> Tahoma</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('Times New Roman', 'font');" style="cursor: pointer; font-family: Times New Roman;"> Times New Roman</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('Trebuchet MS', 'font');" style="cursor: pointer; font-family: Trebuchet MS;"> Trebuchet MS</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('Verdana', 'font');" style="cursor: pointer; font-family: Verdana;"> Verdana</div> 
</div>

<div id="size{$var}" class="content" style="display:none; margin-left: 142px; position: absolute; font-weight: normal; height: 160px; width: 180px; white-space: nowrap; overflow: auto;">
<h1>{$words_core['BUTTON_SIZE']} [<a href="#" onclick="javascript:dropdown_close{$var}();" style="color: red;">X</a>]</h1>
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('xx-small', 'size');" style="cursor: pointer; font-size: xx-small;"> XX-Small</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('x-small', 'size');" style="cursor: pointer; font-size: x-small;"> X-Small</div>
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('small', 'size');" style="cursor: pointer; font-size: small;"> Small</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('medium', 'size');" style="cursor: pointer; font-size: medium;"> Medium</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('large', 'size');" style="cursor: pointer; font-size: large;"> Large</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('x-large', 'size');" style="cursor: pointer; font-size: x-large;"> X-Large</div>
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('xx-large', 'size');" style="cursor: pointer; font-size: xx-large;"> XX-Large</div> 
</div>

<div id="color{$var}" class="content" style="display:none; margin-left: 188px; position: absolute; font-weight: normal; height: 160px; width: 180px; white-space: nowrap; overflow: auto;">
<h1>{$words_core['BUTTON_COLOR']} [<a href="#" onclick="javascript:dropdown_close{$var}();" style="color: red;">X</a>]</h1>
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('aqua', 'color');" style="cursor: pointer; color: aqua;"> Aqua</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('black', 'color');" style="cursor: pointer; color: black;"> Black</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('blue', 'color');" style="cursor: pointer; color: blue;"> Blue</div>
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('fuchsia', 'color');" style="cursor: pointer; color: fuchsia;"> Fuchsia</div>
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('gray', 'color');" style="cursor: pointer; color: gray;"> Gray</div>
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('green', 'color');" style="cursor: pointer; color: green;"> Green</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('lime', 'color');" style="cursor: pointer; color: lime;"> Lime</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('maroon', 'color');" style="cursor: pointer; color: maroon;"> Maroon</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('navy', 'color');" style="cursor: pointer; color: navy;"> Navy</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('olive', 'color');" style="cursor: pointer; color: olive;"> Olive</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('purple', 'color');" style="cursor: pointer; color: purple;"> Purple</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('red', 'color');" style="cursor: pointer; color: red;"> Red</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('silver', 'color');" style="cursor: pointer; color: silver;"> Silver</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('teal', 'color');" style="cursor: pointer; color: teal;"> Teal</div> 
<div class="content" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='content'" onclick="javascript:blockdropdown{$var}('white', 'color');" style="cursor: pointer; color: white;"> White</div> 
<div class="contentalt" width="100%" onmouseover="this.className='contentselect'" onmouseout="this.className='contentalt'" onclick="javascript:blockdropdown{$var}('yellow', 'color');" style="cursor: pointer; color: yellow;"> Yellow</div>
</div>
	
<div id="smilies{$var}" class="content" style="display:none; margin-left: 240px; position: absolute; font-weight: normal; height: 160px; width: 180px; white-space: nowrap; overflow: auto;">
<h1>{$words_core['BUTTON_SMILIES']} [<a href="#" onclick="javascript:dropdown_close{$var}();" style="color: red;">X</a>]</h1>
quickhtml;
		$rowstyle = "";
		$query = $database -> dbquery( "SELECT smilie_name, smilie_command, smilie_image FROM " . DB_PREFIX . "esselbach_ct_smilies WHERE smilie_active = '1' ORDER BY smilie_position" );
		
		while( list( $smilie_name, $smilie_command, $smilie_image ) = $database -> dbrow( $query ) )
		{
			( $rowstyle == "content" ) ? $rowstyle = "contentalt" : $rowstyle = "content" ;
			echo "<div class=\"" . $rowstyle . "\" width=\"100%\" onclick=\"javascript:insert$var('" . $smilie_command . "');\" style=\"cursor: pointer;\"><img src=\"../images/smilies/" . $smilie_image . "\" alt=\"" . $smilie_name . "\" /> " . $smilie_name . "</div>";
		}
		
		echo "</div>";
	}

	function forminit( $var, $var2 )
	{
	echo <<<forminit

<script type="text/javascript">
<!--
function show_form()
{
    document.getElementById("{$var}").style.display = "none";
    document.getElementById("{$var2}").style.display = "";
}
-->
</script>

forminit;
	}

	function forminit2( $var, $var2 )
	{
		echo <<<forminit

<script type="text/javascript">
<!--
function show_form2()
{
    document.getElementById("{$var}").style.display = "none";
    document.getElementById("{$var2}").style.display = "";
}
-->
</script>

forminit;
	}

	function deleteinit( $var )
	{
		echo <<<deleteinit
<script type="text/javascript">
<!--
function check_delete() 
{
    if (confirm("{$var}")) 
    {
        return true; 
    } 
    else 
    {
        return false;
    }
}
-->
</script>
deleteinit;
	}

	function cssinit( $var )
	{
		echo <<<cssinit
<script type="text/javascript">
<!--	
function update{$var}bc(newcolor) 
{
	document.getElementById("$var").style.backgroundColor = newcolor;
}
function update{$var}tc(newcolor) 
{
	document.getElementById("$var").style.color = newcolor;
}	
function update{$var}ft(newfont) 
{
	document.getElementById("$var").style.fontFamily = newfont;
}		
function update{$var}fs(newsize) 
{
	document.getElementById("$var").style.fontSize = newsize;
}		
-->
</script>

cssinit;

	}

	function colorslist( $var )
	{
		( $var == "#f0f8ff" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#f0f8ff\">AliceBlue</option>";
		( $var == "#faebd7" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#faebd7\">AntiqueWhite</option>";
		( $var == "aqua" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"aqua\">Aqua</option>";
		( $var == "#7effd4" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#7effd4\">Aquamarine</option>";
		( $var == "#f0ffff" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#f0ffff\">Azure</option>";
		( $var == "#f5f5dc" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#f5f5dc\">Beige</option>";
		( $var == "black" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"black\">Black</option>";
		( $var == "#ffebcd" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ffebcd\">BlanchedAlmond</option>";
		( $var == "blue" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"blue\">Blue</option>";
		( $var == "#8a2be2" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#8a2be2\">BlueViolet</option>";
		( $var == "#a52a2a" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#a52a2a\">Brown</option>";
		( $var == "#deb887" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#deb887\">BurlyWood</option>";
		( $var == "#5f9ea0" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#5f9ea0\">CadetBlue</option>";
		( $var == "#7fff00" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#7fff00\">Chartreuse</option>";
		( $var == "#d2691e" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#d2691e\">Chocolate</option>";
		( $var == "#ff7f50" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ff7f50\">Coral</option>";
		( $var == "#6495ed" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#6495ed\">CornflowerBlue</option>";
		( $var == "#ffff8dc" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#fff8dc\">Cornsilk</option>";
		( $var == "#dc143c" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#dc143c\">Crimson</option>";
		( $var == "#00ffff" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#00ffff\">Cyan</option>";
		( $var == "#00008b" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#00008b\">DarkBlue</option>";
		( $var == "#008b8b" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#008b8b\">DarkCyan</option>";
		( $var == "#b8860b" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#b8860b\">DarkGoldenRod</option>";
		( $var == "#a9a9a9" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#a9a9a9\">DarkGray</option>";
		( $var == "#006400" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#006400\">DarkGreen</option>";
		( $var == "#bdb76b" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#bdb76b\">DarkKhaki</option>";
		( $var == "#8b008b" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#8b008b\">DarkMagenta</option>";
		( $var == "#556b2f" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#556b2f\">DarkOliveGreen</option>";
		( $var == "#ff8c00" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ff8c00\">DarkOrange</option>";
		( $var == "#9932cc" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#9932cc\">DarkOrchid</option>";
		( $var == "#8b0000" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#8b0000\">DarkRed</option>";
		( $var == "#e9967a" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#e9967a\">DarkSalmon</option>";
		( $var == "#8fbc8f" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#8fbc8f\">DarkSeaGreen</option>";
		( $var == "#483b8b" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#483d8b\">DarkSlateBlue</option>";
		( $var == "#2f4f4f" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#2f4f4f\">DarkSlateGrey</option>";
		( $var == "#00ced1" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#00ced1\">DarkTurquoise</option>";
		( $var == "#9400d3" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#9400d3\">DarkViolet</option>";
		( $var == "#ff1493" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ff1493\">DeepPink</option>";
		( $var == "#00bfff" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#00bfff\">DeepSkyBlue</option>";
		( $var == "#696969" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#696969\">DimGrey</option>";
		( $var == "#1e90ff" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#1e90ff\">DodgerBlue</option>";
		( $var == "#d19275" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#d19275\">Feldspar</option>";
		( $var == "#b22222" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#b22222\">FireBrick</option>";
		( $var == "#fffae0" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#fffae0\">FloralWhite</option>";
		( $var == "#228b22" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#228b22\">ForestGreen</option>";
		( $var == "fuchsia" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"fuchsia\">Fuchsia</option>";
		( $var == "#dcdcdc" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#dcdcdc\">Gainboro</option>";
		( $var == "#f8f8ff" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#f8f8ff\">GhostWhite</option>";
		( $var == "#ffd700" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ffd700\">Gold</option>";
		( $var == "#daa520" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#daa520\">GoldenRod</option>";
		( $var == "grey" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"gray\">Gray</option>";
		( $var == "green" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"green\">Green</option>";
		( $var == "#adff2f" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#adff2f\">GreenYellow</option>";
		( $var == "#f0fff0" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#f0fff0\">HoneyDew</option>";
		( $var == "#ff69b4" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ff69b4\">HotPink</option>";
		( $var == "#cd5c5c" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#cd5c5c\">IndianRed</option>";
		( $var == "#4b0082" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#4b0082\">Indigo</option>";
		( $var == "#fffff0" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#fffff0\">Invory</option>";
		( $var == "#f0e68e" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#f0e68c\">Khaki</option>";
		( $var == "#e6e6fa" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#e6e6fa\">Lavender</option>";
		( $var == "#fff0f5" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#fff0f5\">LavenderBlush</option>";
		( $var == "#7cdc00" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#7cdc00\">LawnGreen</option>";
		( $var == "#fffacd" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#fffacd\">LemonChiffon</option>";
		( $var == "#add8e6" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#add8e6\">LightBlue</option>";
		( $var == "#f08080" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#f08080\">LightCoral</option>";
		( $var == "#e0ffff" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#e0ffff\">LightCyan</option>";
		( $var == "#fafad2" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#fafad2\">LightGoldenRodYellow</option>";
		( $var == "#d3d3d3" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#d3d3d3\">LightGrey</option>";
		( $var == "#90ee90" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#90ee90\">LightGreen</option>";
		( $var == "#ffb6c1" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ffb6c1\">LightPink</option>";
		( $var == "#ffa07a" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ffa07a\">LightSalmon</option>";
		( $var == "#20b2aa" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#20b2aa\">LightSeaGreen</option>";
		( $var == "#87cefa" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#87cefa\">LightSkyBlue</option>";
		( $var == "#8470ff" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#8470ff\">LightSlateBlue</option>";
		( $var == "#778899" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#778899\">LightSlateGrey</option>";
		( $var == "#b0c4de" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#b0c4de\">LightSteelBlue</option>";
		( $var == "#ffffe0" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ffffe0\">LightYellow</option>";
		( $var == "lime" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"lime\">Lime</option>";
		( $var == "#32cd32" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#32cd32\">LimeGreen</option>";
		( $var == "#faf0e6" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#faf0e6\">Linen</option>";
		( $var == "#ff00ff" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ff00ff\">Magenta</option>";
		( $var == "maroon" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"maroon\">Maroon</option>";
		( $var == "#66cdaaf" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#66cdaa\">MediumAquaMarine</option>";
		( $var == "#0000cd" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#0000cd\">MediumBlue</option>";
		( $var == "#ba55d3" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ba55d3\">MediumOrchid</option>";
		( $var == "#9370d8" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#9370d8\">MediumPurple</option>";
		( $var == "#3cb371" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#3cb371\">MediumSeaGreen</option>";
		( $var == "#7b68ee" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#7b68ee\">MediumSlateBlue</option>";
		( $var == "#00fa9a" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#00fa9a\">MediumSpringGreen</option>";
		( $var == "#48d1cc" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#48d1cc\">MediumTurquoise</option>";
		( $var == "#c71585" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#c71585\">MediumVioletRed</option>";
		( $var == "#911970" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#191970\">MidnightBlue</option>";
		( $var == "#f5fffa" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#f5fffa\">MintCream</option>";
		( $var == "#ffe4e1" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ffe4e1\">MistyRose</option>";
		( $var == "#ffe4b5" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ffe4b5\">Moccasin</option>";
		( $var == "#ffdead" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ffdead\">NavajoWhite</option>";
		( $var == "navy" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"navy\">Navy</option>";
		( $var == "#fdf5e6" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#fdf5e6\">OldLace</option>";
		( $var == "olive" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"olive\">Olive</option>";
		( $var == "#6b8e23" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#6b8e23\">OliveDrab</option>";
		( $var == "#ffa500" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ffa500\">Orange</option>";
		( $var == "#ff4500" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ff4500\">OrangeRed</option>";
		( $var == "#da70d6" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#da70d6\">Orchid</option>";
		( $var == "#eee8aa" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#eee8aa\">PaleGoldenRod</option>";
		( $var == "#98fb98" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#98fb98\">PaleGreen</option>";
		( $var == "#afeeee" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#afeeee\">PaleTurquoise</option>";
		( $var == "#d87093" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#d87093\">PaleVioletRed</option>";
		( $var == "#ffef5d" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ffefd5\">PapayaWhip</option>";
		( $var == "#ffdab9" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ffdab9\">PeachPuff</option>";
		( $var == "#cb853f" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#cd853f\">Peru</option>";
		( $var == "#ffc0cb" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ffc0cb\">Pink</option>";
		( $var == "#dda0dd" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#dda0dd\">Plum</option>";
		( $var == "#b0e0e6" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#b0e0e6\">PowderBlue</option>";
		( $var == "purple" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"purple\">Purple</option>";
		( $var == "red" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"red\">Red</option>";
		( $var == "#ff0000" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ff0000\">RosyBrown</option>";
		( $var == "#4169e1" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#4169e1\">RoyalBlue</option>";
		( $var == "#8b4513" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#8b4513\">SaddleBrown</option>";
		( $var == "#fa8072" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#fa8072\">Salmon</option>";
		( $var == "#f4a460" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#f4a460\">SandyBrown</option>";
		( $var == "#ffff5a" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#fff5ee\">SeaShell</option>";
		( $var == "#a0522d" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#a0522d\">Sienna</option>";
		( $var == "silver" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"silver\">Silver</option>";
		( $var == "#87ceeb" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#87ceeb\">SkyBlue</option>";
		( $var == "#6a5acd" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#6a5acd\">SlateBlue</option>";
		( $var == "#708090" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#708090\">SlateGray</option>";
		( $var == "#fffafa" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#fffafa\">Snow</option>";
		( $var == "#00ff7f" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#00ff7f\">SpringGreen</option>";
		( $var == "#4682b4" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#4682b4\">SteelBlue</option>";
		( $var == "#d2b48c" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#d2b48c\">Tan</option>";
		( $var == "#008080" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#008080\">Teal</option>";
		( $var == "#d8dfd8" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#d8bfd8\">Thistle</option>";
		( $var == "#ff6347" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ff6347\">Tomato</option>";
		( $var == "#40e0d0" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#40e0d0\">Turquoise</option>";
		( $var == "#ee82ee" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#ee82ee\">Violet</option>";
		( $var == "#d02090" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#d02090\">VioletRed</option>";
		( $var == "#f5deb3" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#f5deb3\">Wheat</option>";
		( $var == "white" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"white\">White</option>";
		( $var == "#f5f5f5" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#f5f5f5\">WhiteSmoke</option>";
		( $var == "yellow" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"yellow\">Yellow</option>";
		( $var == "#9acd32" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"#9acd32\">YellowGreen</option>";
	}

	function fontslist( $var )
	{
		( $var == "Arial" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Arial\">Arial</option>";
		( $var == "Arial Black" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Arial Black\">Arial Black</option>";
		( $var == "Arial Narrow" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Arial Narrow\">Arial Narrow</option>";
		( $var == "Book Antiqua" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Book Antiqua\">Book Antiqua</option>";
		( $var == "Century Gothic" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Century Gothic\">Century Gothic</option>";
		( $var == "Comic Sans MS" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Comic Sans MS\">Comic Sans MS</option>";
		( $var == "Courier" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Courier\">Courier</option>";
		( $var == "Courier New" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Courier New\">Courier New</option>";
		( $var == "Garamond" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Garamond\">Garamond</option>";
		( $var == "Georgia" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Georgia\">Georgia</option>";
		( $var == "Impact" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Impact\">Impact</option>";
		( $var == "Lucida Console" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Lucida Console\">Lucida Console</option>";
		( $var == "Lucida Grande" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Lucida Grande\">Lucida Grande</option>";
		( $var == "Lucida Sans Unicode" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Lucida Sans Unicode\">Lucida Sans Unicode</option>";
		( $var == "Microsoft Sans Serif" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Microsoft Sans Serif\">Microsoft Sans Serif</option>";
		( $var == "Palatio Linotype" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Palatio Linotype\">Palatio Linotype</option>";
		( $var == "System" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"System\">System</option>";
		( $var == "Tahoma" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Tahoma\">Tahoma</option>";
		( $var == "Times New Roman" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Times New Roman\">Times New Roman</option>";
		( $var == "Trebuchet MS" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Trebuchet MS</option>";
		( $var == "Verdana" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"Verdana\">Verdana</option>";
	}

	function fontsizeslist( $var )
	{
		( $var == "5pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"5pt\">5pt</option>";
		( $var == "6pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"6pt\">6pt</option>";
		( $var == "7pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"7pt\">7pt</option>";
		( $var == "8pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"8pt\">8pt</option>";
		( $var == "9pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"9pt\">9pt</option>";
		( $var == "10pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"10pt\">10pt</option>";
		( $var == "11pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"11pt\">11pt</option>";
		( $var == "12pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"12pt\">12pt</option>";
		( $var == "13pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"13pt\">13pt</option>";
		( $var == "14pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"14pt\">14pt</option>";
		( $var == "15pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"15pt\">15pt</option>";
		( $var == "16pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"16pt\">16pt</option>";
		( $var == "17pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"17pt\">17pt</option>";
		( $var == "18pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"18pt\">18pt</option>";
		( $var == "19pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"19pt\">19pt</option>";
		( $var == "20pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"20pt\">20pt</option>";
		( $var == "21pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"21pt\">21pt</option>";
		( $var == "22pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"22pt\">22pt</option>";
		( $var == "23pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"23pt\">23pt</option>";
		( $var == "24pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"24pt\">24pt</option>";
		( $var == "25pt" ) ? $selected = "selected=\"selected\" " : $selected = "" ;
		echo "<option " . $selected . "value=\"25pt\">25pt</option>";
	}

	function filesinit( $var )
	{
		echo <<<filesinit
<script type="text/javascript">
<!--
function files_win() 
{
    var newwinobj = window.open("index.php?action={$var}","newwin","toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=0,copyhistory=0,width=500,height=300")
}
-->
</script>
filesinit;
	}

	function popinit()
	{
		echo <<<popinit
<script type="text/javascript">
<!--
function pop_win(tag) 
{
    var newwinobj = window.open(tag,"newwin","toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=1,copyhistory=0,width=450,height=300")
}
-->
</script>
popinit;
	}

	function checkinit()
	{
		echo <<<checkinit
<script type="text/javascript">
<!--
function checkall(el, name)
{
    var c = el.checked;
    var box = el.form.elements[name];
    if(!box) return;
    for(var i = 0; i < box.length; i++) box[i].checked = c;
}
-->
</script>
checkinit;
	}

	function error( $var, $var2, $var3 )
	{
		global $html;
		$html -> makeheader( $var );
		$html -> makesubheader();
		$html -> makegroupmenu( $var3 );
		$html -> makemainheader( $var, "error" );
		echo $var2;
		$html -> makemainfooter();
	}

	function twodigits( $var )
	{
		if( $var < 10 )
		{
			$var = "0" . $var;
		}
		
		return $var;
	}

	function printpages( $var, $var2, $var3 )
	{
		if( !$var3 )
		{
			$var3 = 1;
		}
		
		if( $var > 6 )
		{
			$var_new = $var3 + 1;
			$var_old = $var3 - 1;
			
			if( $var_new < 3 )
			{
				$var_new = 3;
			}
			else
			{
				echo "<span class = \"pagelink\"><a href=\"" . $var2 . "=1\">&laquo;</a></span> ";
			}
			
			$current = $var_new - 2;
			$forward = $current + 4;
			$backward = $var - 3;
			
			if( $forward > $var )
			{
				echo "<span class = \"pagelink\"><a href=\"" . $var2 . "=" . $var_old . "\">&lt;</a></span> ";
				
				for( $i = $backward; $i <= $var; $i++ )
				{
					if( $var3 == $i )
					{
						echo "<span class = \"pagelinkselected\">" . $i . "</span> ";
					}
					else
					{
						echo "<span class = \"pagelink\"><a href=\"" . $var2 . "=" . $i . "\">" . $i . "</a></span> ";
					}
				}
			}
			else
			{
				if( $var_old )
				{
					echo "<span class = \"pagelink\"><a href=\"" . $var2 . "=" . $var_old . "\">&lt;</a></span> ";
				}
				
				for( $i = $current; $i < $forward; $i++ )
				{
					if( $var3 == $i )
					{
						echo "<span class = \"pagelinkselected\">" . $i . "</span> ";
					}
					else
					{
						echo "<span class = \"pagelink\"><a href=\"" . $var2 . "=" . $i . "\">" . $i . "</a></span> ";
					}
				}
				
				echo "<span class = \"pagelink\"><a href=\"" . $var2 . "=" . $var_new . "\">&gt;</a></span> ";
				echo "<span class = \"pagelink\"><a href=\"" . $var2 . "=" . $var . "\">&raquo;</a></span> ";
			}
		}
		else
		{
			for( $i = 1; $i <= $var; $i++ )
			{
				if( $var3 == $i )
				{
					echo "<span class = \"pagelinkselected\">" . $i . "</span> ";
				}
				else
				{
					echo "<span class = \"pagelink\"><a href=\"" . $var2 . "=" . $i . "\">" . $i . "</a></span> ";
				}
			}
		}
		
		echo "<br /><br />";
	}

	function preference( $var, $var2, $var3, $var4, $var5, $var6 )
	{
		global $html, $words_core, $prefs_row;
		( $prefs_row ) ? $prefs_row = 0 : $prefs_row = 1;
		
		if( $prefs_row == 1 )
		{
			$row = "content";
		}
		else
		{
			$row = "contentalt";
		}
		
		$var = "input_" . strtolower( $var );
		echo "<div class=\"" . $row . "\">";
		
		if( !$var5 )
		{
			$html -> uppertext( $var2, $var, $var4 );
			echo "<small>" . $var3 . "</small><br /><br />";
		}
		elseif( $var5 == 1 )
		{
			$html -> makeselect( $var2, $var, $var4, $words_core[ 'YES' ] . " " . $words_core[ 'NO' ] );
			echo "<br /><small>" . $var3 . "</small><br /><br />";
		}
		elseif( $var5 == 2 )
		{
			$html -> upperform( $var2, $var, $var4, $var6 );
			echo "<small>" . $var3 . "</small><br /><br />";
		}
		elseif( $var5 == 3 )
		{
			$var6_array = explode( ",", $var6 );
			echo "<strong>" . $var2 . ":</strong> <select size=\"1\" name=\"" . $var . "\">";
			
			foreach( $var6_array as $var6_data )
			{
				( $var4 == $var6_data ) ? $selected = "selected=\"selected\"" : $selected = "" ;
				echo "<option value=\"" . $var6_data . "\"" . $selected . ">" . $var6_data . "</option>";
			}
			
			echo "</select><br />";
			echo "<small>" . $var3 . "</small><br /><br />";
		}
		elseif( $var5 == 4 )
		{
			$html -> uppertextsecure( $var2, $var, $var4 );
			echo "<small>" . $var3 . "</small><br /><br />";
		}
		
		echo "</div>";
	}

	function jump( $var, $var2 )
	{
		echo "<script type=\"text/javascript\">\n";
		echo "<!--\n";
		echo "setTimeout('location.href=\"" . $var . "\"'," . $var2 . ");\n";
		echo "-->\n";
		echo "</script>\n";
	}

	function codeinit()
	{
		echo "<script src=\"../jscripts/codepress/codepress.js\" type=\"text/javascript\"></script>";
		echo <<<codeinit

<script type="text/javascript">
<!--
function codesubmit()
{
	htmlWindow.toggleEditor();
	phpWindow.toggleEditor();	
	document.editform.submit();
}
-->
</script>
codeinit;
	}

	function csscodeinit()
	{
		echo "<script src=\"../jscripts/codepress/codepress.js\" type=\"text/javascript\"></script>";
		echo <<<csscodeinit

<script type="text/javascript">
<!--
function codesubmit()
{
	cssWindow.toggleEditor();
	document.editform.submit();
}
-->
</script>
csscodeinit;
	}

	function upperformcode( $var, $var2, $var3, $var4, $var5 )
	{
		$var3 = htmlspecialchars( $var3 );
		echo "<strong>" . $var . ":</strong><br /><textarea id=\"" . $var5 . "Window\" class=\"codepress " . $var5 . "\" cols=\"80\" name=\"" . $var2 . "\" rows=\"" . $var4 . "\" style=\"margin:0px;width:600px\">" . $var3 . "</textarea><br />";
	}
}
?>